--/* Start File Header -------------------------------------------------------
--Copyright (C) 2010 DigiPen Institute of Technology.
--Reproduction or disclosure of this file or its contents without the prior written consent of DigiPen Institute of Technology is prohibited.
--File Name: creditsList.lua
--Purpose: The dyanmic credits text.
--Authors: Robert Francis - 100%
--- End File Header --------------------------------------------------------*/

function CreditText()
text = [[All content (c) 2011 DigiPen (USA) 
					Corporation, all rights reserved


PROGRAMMERS:

					Robert Francis   -   Tech Director,  Graphics,
					                                         Producer, Systems,  UI
					                                         
					Trevor Bennett   -   Physics, Gameplay

Bryan Bishop       -   Level Design, Gameplay

					Daniel Rosas       -   Producer,  Audio, Game Design

					ARTIST:

				Josh Jones                 -   Art Director, Environments

					Kellen Parnell        -   Character Modeler, Concepts
					                                           Illustrator

					Bryanna Lindsey     -   Rigs, Animations
					
					Jeremiah  "Jermz"  Gallardo     -   Animation

John Mark Madison -   Assets



					Teachers:

					Rachel Rutherford  -   Team Instructor

					Chris Peters                -   Tech Instructor

					Ben Ellinger                 -   Game Instructor

					Claude Comair           -   President


					Special Thanks:

					Chris Proehl

					Mark Sheppard


This game, engine, tools, and content were 
all created from scratch for this project.
The only external libraries are credited below:

DirectX 9c

TinyXML

AntTweakBar, copyright (c) 
2005- 2011 Philippe Decaudin 

FMOD Sound System, copyright (c) 
Firelight Technologies Pty, Ltd., 1994- 2011]];
  return text;
end

function CreditsList(name, inst)
	x, y, z = GOGetPos(name, inst);
  text = CreditText();

  SetFontColor("umopmed", 255, 255, 255, 255);
	ScreenText("umopmed", x, y, "Audyssey", 1.0);
	ScreenTextLeft("ethnocentric", x - 920, y - 220, text, .50);
	SetFontColor("ethnocentric", 255, 255, 255, 255);
	GOPosition(name, inst, x, y+1, z);
	SetPause(false);
end

function CreditsListOut(name, inst)
  if PlayCredits == true then
	  x, y, z = GOGetPos(name, inst);
    text = CreditText();

    SetFontColor("umopmed", 255, 255, 255, 255);
	  ScreenText("umopmed", x, y, "Audyssey", 1.0);
    SetFontColor("ethnocentric", 255, 255, 255, 255);
	  ScreenTextLeft("ethnocentric", x - 920, y - 220, text, .50);
	  GOPosition(name, inst, x, y+1, z);
    if y == 4600 then
      EndLevel();
    end
  end
end